<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Fody" Version="6.5.1">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Octane.Xam.VideoPlayer" Version="3.1.0" />
    <PackageReference Include="Plugin.MediaManager.Forms" Version="1.0.8" />
    <PackageReference Include="Prism.Unity.Forms" Version="8.0.0.1909" />
    <PackageReference Include="PropertyChanged.Fody" Version="3.3.3" />
    <PackageReference Include="Refit" Version="6.0.38" />
    <PackageReference Include="Refit.Newtonsoft.Json" Version="6.0.38" />
    <PackageReference Include="Rg.Plugins.Popup" Version="2.0.0.11" />
    <PackageReference Include="Sharpnado.MaterialFrame" Version="1.1.4" />
    <PackageReference Include="Syncfusion.Xamarin.SfAutoComplete" Version="19.1.0.63" />
    <PackageReference Include="Syncfusion.Xamarin.SfComboBox" Version="19.1.0.63" />
    <PackageReference Include="Xamarin.CommunityToolkit" Version="1.1.0" />
    <PackageReference Include="Xamarin.FFImageLoading.Forms" Version="2.4.11.982" />
    <PackageReference Include="Xamarin.Forms" Version="5.0.0.2012" />
    <PackageReference Include="Xamarin.Essentials.Interfaces" Version="1.6.1" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="AppResource.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>AppResource.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\AddContactPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Controllers\PostItemTemplate.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\LoginPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\NotificationPopUp.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUps\ErrorPopUp.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUps\ForegetPassPopUp.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUps\QuestionPopUp.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUps\SuccessPopUp.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\SignUpPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\TestPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Themes\BaseTheme.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Themes\LightTheme.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <Compile Update="AppResource.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AppResource.resx</DependentUpon>
    </Compile>
  </ItemGroup>

</Project>